VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "jStrip 1.2"
   ClientHeight    =   3780
   ClientLeft      =   2595
   ClientTop       =   4470
   ClientWidth     =   4395
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   3780
   ScaleWidth      =   4395
   StartUpPosition =   2  'CenterScreen
   Begin JSTRIP.pwtFilePicker FilePicker 
      Align           =   1  'Align Top
      Height          =   2925
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   4395
      _ExtentX        =   7752
      _ExtentY        =   5159
      Mask            =   "*.jp*"
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   330
      Left            =   1110
      TabIndex        =   2
      Top             =   3405
      Width           =   945
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&Start"
      Height          =   330
      Left            =   60
      TabIndex        =   1
      Top             =   3405
      Width           =   945
   End
   Begin VB.Label lblMessage 
      Height          =   225
      Left            =   30
      TabIndex        =   3
      Top             =   2985
      Width           =   4680
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuStart 
         Caption         =   "&Start"
      End
      Begin VB.Menu mnuQuit 
         Caption         =   "&Quit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuOptions 
         Caption         =   "&Options"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuAbout 
         Caption         =   "&About jStrip"
      End
      Begin VB.Menu mnuReadme 
         Caption         =   "&Readme"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim ldir As Long
Dim iResizeFlag As Integer
Dim lButt As Long
Dim lLabelWidth As Long
Dim lLabelTop As Long
Dim lButtonTop As Long
Dim OrigPath As String

Private Sub cmdQuit_Click()
    Unload Me
End Sub

Private Sub cmdStart_Click()
    ChDrive FilePicker.path
    ChDir FilePicker.path
    If FilePicker.NumSelFiles > 0 Then
        frmWorking.Show vbModal, Me
    End If
End Sub


Private Sub FilePicker_Change()
    lblMessage = FilePicker.NumSelFiles & " files selected of " & FilePicker.NumFiles
    If FilePicker.NumSelFiles > 0 Then
        cmdStart.Enabled = True
        mnuStart.Enabled = True
    Else
        cmdStart.Enabled = False
        mnuStart.Enabled = False
    End If
End Sub

Private Sub Form_Load()
    iResizeFlag = 0
    AdjustResize
    iResizeFlag = 1
    FilePicker.path = App.path
    OrigPath = App.path
    If Right(OrigPath, 1) <> "\" Then OrigPath = OrigPath & "\"
    Options = "001"
End Sub

Sub Form_Resize()
    Dim lFormHeight As Long
    Dim lFormWidth As Long
    lFormHeight = frmMain.Height
    lFormWidth = frmMain.Width
    If iResizeFlag = 1 Then
        If lFormHeight < 3000 Then lFormHeight = 3000
        If lFormWidth < 2000 Then lFormWidth = 2000
        lblMessage.Top = lFormHeight - lLabelTop
        FilePicker.Height = lFormHeight - ldir
        lblMessage.Width = lFormWidth - lLabelWidth
        cmdStart.Top = lFormHeight - lButtonTop
        cmdQuit.Top = lFormHeight - lButtonTop
    End If
End Sub

Private Sub AdjustResize()
    lButt = frmMain.Height - cmdStart.Top
    ldir = frmMain.Height - FilePicker.Height
    lLabelWidth = frmMain.Width - lblMessage.Width
    lLabelTop = frmMain.Height - lblMessage.Top
    lButtonTop = frmMain.Height - cmdStart.Top
End Sub

Private Sub mnuAbout_Click()
    frmAbout.Show vbModal, Me
End Sub

Private Sub mnuOptions_Click()
    frmOptions.Show vbModal, Me
End Sub

Private Sub mnuQuit_Click()
    cmdQuit_Click
End Sub

Private Sub mnuReadme_Click()
    Call ShellExecute(hwnd, "Open", OrigPath & "readme.html", "", OrigPath, vbNormalFocus)
End Sub

Private Sub mnuStart_Click()
    cmdStart_Click
End Sub
