VERSION 5.00
Begin VB.Form frmWorking 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Working..."
   ClientHeight    =   3525
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3735
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3525
   ScaleWidth      =   3735
   StartUpPosition =   1  'CenterOwner
   Begin JSTRIP.pwtProgBar ProgBar 
      Height          =   300
      Left            =   105
      Top             =   2430
      Width           =   3525
      _ExtentX        =   6218
      _ExtentY        =   529
      BackColor       =   -2147483643
   End
   Begin VB.CommandButton cmdStop 
      Cancel          =   -1  'True
      Caption         =   "Stop"
      Height          =   390
      Left            =   2355
      TabIndex        =   0
      Top             =   2955
      Width           =   1275
   End
   Begin VB.Label lblEnd 
      Height          =   1455
      Left            =   105
      TabIndex        =   3
      Top             =   870
      Width           =   3525
   End
   Begin VB.Label lblLine2 
      Height          =   300
      Left            =   105
      TabIndex        =   2
      Top             =   465
      Width           =   3525
   End
   Begin VB.Label lblLine1 
      Caption         =   "Processing:"
      Height          =   300
      Left            =   105
      TabIndex        =   1
      Top             =   105
      Width           =   3525
   End
End
Attribute VB_Name = "frmWorking"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Working As Boolean

Private Sub cmdStop_Click()
    If Working Then
        bCancelFlag = 1
    Else
        Unload Me
    End If
End Sub

Private Sub Form_Activate()
    Working = True
    StripEm
    Me.Caption = "Done."
    cmdStop.Caption = "OK"
    Working = False
End Sub

Private Sub Form_Load()
    ProgBar.Value = 0
End Sub

Public Sub StripEm()

    On Error Resume Next
    
    Dim lCount As Integer
    Dim lNumber As Integer
    Dim iFN As Integer
    Dim lret As Long
    Dim lDiff As Long
    Dim lTotal As Long
    Dim sDone1 As String
    Dim sDone2 As String
    Dim sDone3 As String
    Dim lDone As Long
    Dim WriteLog As Boolean
    Dim KeepDate As Boolean
    Dim TimeStamp As FILETIME
    Dim FName As String
    Dim SuccessCount As Long
    Dim ErrorCount As Long
    Dim NoChangeCount As Long
    Dim Status As String
    
    
    lNumber = frmMain.FilePicker.NumSelFiles
    
    If Mid(Options, 2, 1) = 1 Then
        KeepDate = True
    Else
        KeepDate = False
    End If
        
    If Mid(Options, 3, 1) = 1 Then
        WriteLog = True
        iFN = FreeFile
        Open "js.log" For Output As iFN
    Else
        WriteLog = False
    End If
    
    frmWorking.ProgBar.Max = lNumber
    For lCount = 1 To lNumber
    
        FName = frmMain.FilePicker.SelFiles(lCount)
        
        If KeepDate Then
            TimeStamp = ReadFileTime(FName)
        End If
    
        lret = Strip(FName)
        
        lDiff = OriginalSize - ProcessedSize
       
        Select Case lret
            Case OKAY
                lTotal = lTotal + lDiff
                SuccessCount = SuccessCount + 1
                Status = "File successfully processed."
            Case ERROR
                ErrorCount = ErrorCount + 1
                Status = "ERROR:  " & ErrorString
            Case NOCHANGE
                NoChangeCount = NoChangeCount + 1
                Status = "No need to strip this file."
            End Select
            
        lblLine1.Caption = "Processing: " & FName
        ProgBar.Value = lCount
        
        If KeepDate Then
            WriteFileTime FName, TimeStamp
        End If
        
        If WriteLog Then
            Print #iFN, "**************"
            Print #iFN, "File: " & vbTab & FName
            Print #iFN, Status
            If lret <> ERROR Then
                Print #iFN, "Original File Size: " & vbTab & OriginalSize
                If lret = OKAY Then
                    Print #iFN, "Size After Stripping: " & vbTab & ProcessedSize
                    Print #iFN, "Savings: " & vbTab & lDiff
                End If
            End If
        End If
        
        lDone = lDone + 1
        DoEvents
        If bCancelFlag = 1 Then Exit For
        
    Next lCount
    
    bCancelFlag = 0
    sDone1 = "Files processed: " & lDone
    sDone2 = "Total bytes saved: " & lTotal
    sDone3 = ErrorCount & " Total Errors" & vbCrLf & NoChangeCount & _
                    " No changes needed" & vbCrLf & SuccessCount & _
                    " Files successfully stripped"
    
    If WriteLog Then
        Print #iFN, "--------------------------------------" & vbCrLf & sDone1 & vbCrLf & sDone2
        Print #iFN, sDone3
        Close iFN
    End If
    
    lblLine1.Caption = sDone1
    lblLine2.Caption = sDone2
    lblEnd.Caption = sDone3
    
End Sub


